# infini_pool – Create, Delete and Modify Pools on Infinibox

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module to creates, deletes or modifies pools on Infinibox.

## Requirements

The below requirements are needed on the host that executes this module.

- capacity
- infinisdk
- python >= 2.7

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Pool Name
password string |  | Infinibox User password.
size - |  | Pool Physical Capacity in MB, GB or TB units. If pool size is not set on pool creation, size will be equal to 1TB. See examples.

ssd_cache
boolean

Choices:
- no
- yes ←

Enable/Disable SSD Cache on Pool

state
-

Choices:
- present ←
- absent

Creates/Modifies Pool when present or removes when absent

system string / required |  | Infinibox Hostname or IPv4 Address.
user - |  | Infinibox User username with sufficient priveledges ( see notes ).
vsize - |  | Pool Virtual Capacity in MB, GB or TB units. If pool vsize is not set on pool creation, Virtual Capacity will be equal to Physical Capacity. See examples.

## Notes

Note

- Infinibox Admin level access is required for pool modifications
- This module requires infinisdk python library
- You must set INFINIBOX_USER and INFINIBOX_PASSWORD environment variables if user and password arguments are not passed to the module directly
- Ansible uses the infinisdk configuration file `~/.infinidat/infinisdk.ini` if no credentials are provided. See http://infinisdk.readthedocs.io/en/latest/getting_started.html

## Examples

    - name: Make sure pool foo exists. Set pool physical capacity to 10TB
      infini_pool:
        name: foo
        size: 10TB
        vsize: 10TB
        user: admin
        password: secret
        system: ibox001

    - name: Disable SSD Cache on pool
      infini_pool:
        name: foo
        ssd_cache: no
        user: admin
        password: secret
        system: ibox001

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gregory Shulov (@GR360RY)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.